import { FormSOP } from '../../libappsop/formsop';
import { MatrixEditorSOP } from '../../libappsop/matrixeditorsop';
import { DialogDummy } from '../dialogs/dialog.dummy';

export class FormTripPlan extends FormSOP {
  public meTripPlan = new MatrixEditorTripPlan();

  public constructor() {
    super('FormTripPlan');
  }
}

export class MatrixEditorTripPlan extends MatrixEditorSOP<DialogDummy> {
  public static readonly title = 'Trip Plan';

  public constructor() {
    super('MatrixEditorPISPIP', 'matrixeditorContextMenuPISPIP', new DialogDummy());
  }
}
